package com.mdd.admin.vo.article;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;

@ApiModel("文章详情Vo")
public class ArticleDetailVo implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("主键")
   private Integer id;
   @ApiModelProperty("分类")
   private Integer cid;
   @ApiModelProperty("标题")
   private String title;
   @ApiModelProperty("图片")
   private String image;
   @ApiModelProperty("简介")
   private String intro;
   @ApiModelProperty("摘要")
   private String summary;
   @ApiModelProperty("内容")
   private String content;
   @ApiModelProperty("作者")
   private String author;
   @ApiModelProperty("访问")
   private Integer visit;
   @ApiModelProperty("排序")
   private Integer sort;
   @ApiModelProperty("是否显示")
   private Integer isShow;
   @ApiModelProperty("创建时间")
   private String createTime;
   @ApiModelProperty("更新时间")
   private String updateTime;

   public Integer getId() {
      return this.id;
   }

   public Integer getCid() {
      return this.cid;
   }

   public String getTitle() {
      return this.title;
   }

   public String getImage() {
      return this.image;
   }

   public String getIntro() {
      return this.intro;
   }

   public String getSummary() {
      return this.summary;
   }

   public String getContent() {
      return this.content;
   }

   public String getAuthor() {
      return this.author;
   }

   public Integer getVisit() {
      return this.visit;
   }

   public Integer getSort() {
      return this.sort;
   }

   public Integer getIsShow() {
      return this.isShow;
   }

   public String getCreateTime() {
      return this.createTime;
   }

   public String getUpdateTime() {
      return this.updateTime;
   }

   public void setId(Integer id) {
      this.id = id;
   }

   public void setCid(Integer cid) {
      this.cid = cid;
   }

   public void setTitle(String title) {
      this.title = title;
   }

   public void setImage(String image) {
      this.image = image;
   }

   public void setIntro(String intro) {
      this.intro = intro;
   }

   public void setSummary(String summary) {
      this.summary = summary;
   }

   public void setContent(String content) {
      this.content = content;
   }

   public void setAuthor(String author) {
      this.author = author;
   }

   public void setVisit(Integer visit) {
      this.visit = visit;
   }

   public void setSort(Integer sort) {
      this.sort = sort;
   }

   public void setIsShow(Integer isShow) {
      this.isShow = isShow;
   }

   public void setCreateTime(String createTime) {
      this.createTime = createTime;
   }

   public void setUpdateTime(String updateTime) {
      this.updateTime = updateTime;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof ArticleDetailVo)) {
         return false;
      } else {
         ArticleDetailVo other = (ArticleDetailVo)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            label167: {
               Object this$id = this.getId();
               Object other$id = other.getId();
               if (this$id == null) {
                  if (other$id == null) {
                     break label167;
                  }
               } else if (this$id.equals(other$id)) {
                  break label167;
               }

               return false;
            }

            Object this$cid = this.getCid();
            Object other$cid = other.getCid();
            if (this$cid == null) {
               if (other$cid != null) {
                  return false;
               }
            } else if (!this$cid.equals(other$cid)) {
               return false;
            }

            label153: {
               Object this$visit = this.getVisit();
               Object other$visit = other.getVisit();
               if (this$visit == null) {
                  if (other$visit == null) {
                     break label153;
                  }
               } else if (this$visit.equals(other$visit)) {
                  break label153;
               }

               return false;
            }

            Object this$sort = this.getSort();
            Object other$sort = other.getSort();
            if (this$sort == null) {
               if (other$sort != null) {
                  return false;
               }
            } else if (!this$sort.equals(other$sort)) {
               return false;
            }

            label139: {
               Object this$isShow = this.getIsShow();
               Object other$isShow = other.getIsShow();
               if (this$isShow == null) {
                  if (other$isShow == null) {
                     break label139;
                  }
               } else if (this$isShow.equals(other$isShow)) {
                  break label139;
               }

               return false;
            }

            Object this$title = this.getTitle();
            Object other$title = other.getTitle();
            if (this$title == null) {
               if (other$title != null) {
                  return false;
               }
            } else if (!this$title.equals(other$title)) {
               return false;
            }

            label125: {
               Object this$image = this.getImage();
               Object other$image = other.getImage();
               if (this$image == null) {
                  if (other$image == null) {
                     break label125;
                  }
               } else if (this$image.equals(other$image)) {
                  break label125;
               }

               return false;
            }

            label118: {
               Object this$intro = this.getIntro();
               Object other$intro = other.getIntro();
               if (this$intro == null) {
                  if (other$intro == null) {
                     break label118;
                  }
               } else if (this$intro.equals(other$intro)) {
                  break label118;
               }

               return false;
            }

            Object this$summary = this.getSummary();
            Object other$summary = other.getSummary();
            if (this$summary == null) {
               if (other$summary != null) {
                  return false;
               }
            } else if (!this$summary.equals(other$summary)) {
               return false;
            }

            label104: {
               Object this$content = this.getContent();
               Object other$content = other.getContent();
               if (this$content == null) {
                  if (other$content == null) {
                     break label104;
                  }
               } else if (this$content.equals(other$content)) {
                  break label104;
               }

               return false;
            }

            label97: {
               Object this$author = this.getAuthor();
               Object other$author = other.getAuthor();
               if (this$author == null) {
                  if (other$author == null) {
                     break label97;
                  }
               } else if (this$author.equals(other$author)) {
                  break label97;
               }

               return false;
            }

            Object this$createTime = this.getCreateTime();
            Object other$createTime = other.getCreateTime();
            if (this$createTime == null) {
               if (other$createTime != null) {
                  return false;
               }
            } else if (!this$createTime.equals(other$createTime)) {
               return false;
            }

            Object this$updateTime = this.getUpdateTime();
            Object other$updateTime = other.getUpdateTime();
            if (this$updateTime == null) {
               if (other$updateTime != null) {
                  return false;
               }
            } else if (!this$updateTime.equals(other$updateTime)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof ArticleDetailVo;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $id = this.getId();
      result = result * 59 + ($id == null ? 43 : $id.hashCode());
      Object $cid = this.getCid();
      result = result * 59 + ($cid == null ? 43 : $cid.hashCode());
      Object $visit = this.getVisit();
      result = result * 59 + ($visit == null ? 43 : $visit.hashCode());
      Object $sort = this.getSort();
      result = result * 59 + ($sort == null ? 43 : $sort.hashCode());
      Object $isShow = this.getIsShow();
      result = result * 59 + ($isShow == null ? 43 : $isShow.hashCode());
      Object $title = this.getTitle();
      result = result * 59 + ($title == null ? 43 : $title.hashCode());
      Object $image = this.getImage();
      result = result * 59 + ($image == null ? 43 : $image.hashCode());
      Object $intro = this.getIntro();
      result = result * 59 + ($intro == null ? 43 : $intro.hashCode());
      Object $summary = this.getSummary();
      result = result * 59 + ($summary == null ? 43 : $summary.hashCode());
      Object $content = this.getContent();
      result = result * 59 + ($content == null ? 43 : $content.hashCode());
      Object $author = this.getAuthor();
      result = result * 59 + ($author == null ? 43 : $author.hashCode());
      Object $createTime = this.getCreateTime();
      result = result * 59 + ($createTime == null ? 43 : $createTime.hashCode());
      Object $updateTime = this.getUpdateTime();
      result = result * 59 + ($updateTime == null ? 43 : $updateTime.hashCode());
      return result;
   }

   public String toString() {
      return "ArticleDetailVo(id=" + this.getId() + ", cid=" + this.getCid() + ", title=" + this.getTitle() + ", image=" + this.getImage() + ", intro=" + this.getIntro() + ", summary=" + this.getSummary() + ", content=" + this.getContent() + ", author=" + this.getAuthor() + ", visit=" + this.getVisit() + ", sort=" + this.getSort() + ", isShow=" + this.getIsShow() + ", createTime=" + this.getCreateTime() + ", updateTime=" + this.getUpdateTime() + ")";
   }
}
